Bug 97255 - statically linked rpm binary has glibc bugs that were fixed in RHSA-2003-089-11
statically linked rpm binary has glibc bugs that were fixed in RHSA-2003-089-11
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 19:15 EDT by Brian G. Reid
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-19 09:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Reid 2003-06-11 19:15:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
RHSA-2003-089-11 fixed bugs in glibc as related to Bugzilla bug #81901 dealing
with moderately long lines in /etc/group.  Because the main rpm binary is
statically linked to glibc, it still is vulnerable to the issues that the glibc
update addresses.  Specifically, if the install of an RPM package forces the
group on a file to be a group that has a long line in /etc/group, it fails the
lookup of the group name and sets it to 'root'.

Version-Release number of selected component (if applicable):
rpm-4.1-1.06

How reproducible:
Always

Steps to Reproduce:
1.  Create a group in /etc/group that has enough members to make the line go
over 670 characters.  (In my example, I call it 'longgrp')

2.  Create an RPM .SPEC file that sets the group of a file to be in the long group:
%attr(0444 username longgrp) /usr/local/bin/testme

3.  Build the rpm package and install it. 
    

Actual Results:  rpm complains about group 'longgrp' not being found and sets
the group to 'root'.

Expected Results:  rpm should set the group to 'longgrp'

Additional info:

The glibc fix for this specific condition is noted in bugzilla bug #81901 and in
the glibc errata for RHSA-2003-089-11
Comment 1 Jeff Johnson 2003-06-19 09:32:23 EDT
Deferred, errata already pending. Don't hold your breath, however,
the errata has been pending for 4 months now.

Note You need to log in before you can comment on or make changes to this bug.